summaryrefslogtreecommitdiffstats
path: root/audio/sonobus
diff options
context:
space:
mode:
author Johannes Schoepfer2022-05-31 23:19:27 +0200
committer Willy Sudiarto Raharjo2022-06-04 05:37:08 +0200
commitf84903358cf131b1670c4c6f657ee4ce5aceb201 (patch)
treecafaee0832394ee19e7807e60e689ceb70da615f /audio/sonobus
parenta732f77dbac9a8b18e0034fa955d072e2ca710b4 (diff)
downloadslackbuilds-f84903358cf131b1670c4c6f657ee4ce5aceb201.tar.gz
audio/sonobus: Added (low-latency p2p audio over the interne)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio/sonobus')
-rw-r--r--audio/sonobus/README13
-rw-r--r--audio/sonobus/doinst.sh3
-rw-r--r--audio/sonobus/slack-desc19
-rw-r--r--audio/sonobus/sonobus.SlackBuild120
-rw-r--r--audio/sonobus/sonobus.info10
5 files changed, 165 insertions, 0 deletions
diff --git a/audio/sonobus/README b/audio/sonobus/README
new file mode 100644
index 0000000000..1ffe587126
--- /dev/null
+++ b/audio/sonobus/README
@@ -0,0 +1,13 @@
+SonoBus is an easy to use application for streaming high-quality,
+low-latency peer-to-peer audio between devices over the internet
+or a local network.
+Simply choose a unique group name (with optional password), and
+instantly connect multiple people together to make music, remote
+sessions, podcasts, etc. Easily record the audio from everyone,
+as well as playback any audio content to the whole group.
+
+This package uses POSIX filesystem capabilities to execute with
+elevated privileges (required for realtime audio processing). This
+may be considered a security/stability risk. Please read
+http://www.slackbuilds.org/caps/ for more information. To disable
+capabilities, pass SETCAP=no to the script.
diff --git a/audio/sonobus/doinst.sh b/audio/sonobus/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/sonobus/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/sonobus/slack-desc b/audio/sonobus/slack-desc
new file mode 100644
index 0000000000..accf8e7210
--- /dev/null
+++ b/audio/sonobus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sonobus: sonobus (low-latency peer-to-peer audio over the interne)
+sonobus:
+sonobus: SonoBus is an easy to use application for streaming high-quality,
+sonobus: low-latency peer-to-peer audio between devices over the internet
+sonobus: or a local network.
+sonobus: Simply choose a unique group name (with optional password), and
+sonobus: instantly connect multiple people together to make music, remote
+sonobus: sessions, podcasts, etc. Easily record the audio from everyone,
+sonobus: as well as playback any audio content to the whole group.
+sonobus:
+sonobus: https://sonobus.net
diff --git a/audio/sonobus/sonobus.SlackBuild b/audio/sonobus/sonobus.SlackBuild
new file mode 100644
index 0000000000..18291d30b1
--- /dev/null
+++ b/audio/sonobus/sonobus.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+# Slackware build script for sonobus
+
+# Copyright 2022 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sonobus
+VERSION=${VERSION:-1.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -Wno-dev \
+ ..
+ make
+cd ..
+
+mkdir -p $PKG/usr/{bin,lib$LIBDIRSUFFIX/vst3,share/{applications,pixmaps}}
+install -m755 build/SonoBus_artefacts/Standalone/$PRGNAM $PKG/usr/bin/$PRGNAM
+install -m644 linux/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+install -m644 images/${PRGNAM}_logo@2x.png $PKG/usr/share/pixmaps/$PRGNAM.png
+cp -a build/SonoBus_artefacts/VST3/SonoBus.vst3 $PKG/usr/lib$LIBDIRSUFFIX/vst3/
+cp -a build/SonoBusInst_artefacts/VST3/SonoBusInstrument.vst3 $PKG/usr/lib$LIBDIRSUFFIX/vst3/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/*md LICENSE LICENSE_EXCEPTION README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+if [ "${SETCAP:-yes}" = "yes" ]; then
+ echo "/sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/$PRGNAM" \
+ >> $PKG/install/doinst.sh
+ chown root:audio $PKG/usr/bin/$PRGNAM
+ chmod 0750 $PKG/usr/bin/$PRGNAM
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/sonobus/sonobus.info b/audio/sonobus/sonobus.info
new file mode 100644
index 0000000000..b29c63dec0
--- /dev/null
+++ b/audio/sonobus/sonobus.info
@@ -0,0 +1,10 @@
+PRGNAM="sonobus"
+VERSION="1.5.1"
+HOMEPAGE="https://sonobus.net"
+DOWNLOAD="https://github.com/sonosaurus/sonobus/archive/1.5.1/sonobus-1.5.1.tar.gz"
+MD5SUM="4c81e42527c55ef648bfe0ea10549811"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"